Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class TaggedComponentHelper

    java.lang.Object
      |
      +--org.omg.IOP.TaggedComponentHelper

public class TaggedComponentHelper
extends java.lang.Object

Helper class for : TaggedComponent

Author:
  OpenORB Compiler

Constructor Summary
`TaggedComponentHelper()`

Method Summary
`static TaggedComponent` | `extract(Any a)` Extract TaggedComponent from an any
`static java.lang.String` | `id()` Return the TaggedComponent IDL ID
`static void` | `insert(Any a, TaggedComponent t)` Insert TaggedComponent into an any
`static TaggedComponent` | `read(InputStream istream)` Read TaggedComponent from a marshalled stream
`static TypeCode` | `type()` Return the TaggedComponent TypeCode
`static void` | `write(OutputStream ostream, TaggedComponent value)` Write TaggedComponent into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedComponentHelper

    public TaggedComponentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TaggedComponent t)

  Insert TaggedComponent into an any
  Parameters:
    `a` - an any
    `t` - TaggedComponent value

### extract

    public static TaggedComponent extract(Any a)

  Extract TaggedComponent from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TaggedComponent value

### type

    public static TypeCode type()

  Return the TaggedComponent TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TaggedComponent IDL ID
  Returns:
    an ID

### read

    public static TaggedComponent read(InputStream istream)

  Read TaggedComponent from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TaggedComponent value

### write

    public static void write(OutputStream ostream,
                             TaggedComponent value)

  Write TaggedComponent into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TaggedComponent value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD